/*
 *
 * Copyright (c) 2001
 *	Politecnico di Torino.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Author:	Marco Mellia, Andrea Carpani, Luca Muscariello, Dario Rossi
 * 		Telecomunication Networks Group
 * 		Politecnico di Torino
 * 		Torino, Italy
 *              http://http://www.tlc-networks.polito.it/index.html
 *		mellia@mail.tlc.polito.it
 *
 * Tstat is deeply based on TCPTRACE. The authors would like to thank
 * Shawn Ostermann for the development of TCPTRACE.
 *
*/


#include "tstat.h"


/* local routines */

double
Average (double sum, int count)
{
  return ((double) sum / ((double) count + .0001));
}



double
Stdev (double sum, double sum2, int n)
{
  double term;
  double term1;
  double term2;
  double retval;

  if (n <= 2)
    return (0.0);

  term1 = sum2;
  term2 = (sum * sum) / (double) n;
  term = term1 - term2;
  term /= (double) (n - 1);
  retval = sqrt (term);

/*     printf("Stdev(%f,%f,%d) is %f\n", sum,sum2,n,retval); */

  return (retval);
}

char *
elapsed2str (double etime)
{
  static char buf[80];
  u_long etime_secs;
  u_long etime_usecs;

  etime_secs = etime / 1000000.0;
  etime_usecs = 1000000 * (etime / 1000000.0 - (double) etime_secs);
  sprintf (buf, "%lu:%02lu:%02lu.%06lu",
	   etime_secs / (60 * 60),
	   etime_secs % (60 * 60) / 60,
	   (etime_secs % (60 * 60)) % 60, etime_usecs);
  return (buf);
}

char *
get_basename (char *filename)
{
  char *temp, *base;

  base = (char *) (malloc (100));

  strncpy (base, filename, 100);
  temp = strstr (filename, "/");
  while (temp != NULL)
    {
      temp++;
      strncpy (base, temp, 100);
      temp = strstr (temp, "/");
    }

  strcat (base, ".out");
  return (base);
}
